using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace Elements
{
    public interface IElement: IComponent
    {
        string ModuleName { get; }
        List<IPort> Ports { get; }
        IPort ControlPort { get; }
        IPort DiagnosticPort { get;}
        bool DiagnosticMode { get; set;}


        void HandleRessource(RessourceHandler resh, IMessage m);        
    }
}
