using System;
using System.Collections.Generic;
using System.Text;

namespace Elements
{
    public interface IRessourceLocator
    {
        IPort URLRegisterInput { get;}
        IPort URLRegisterOutput { get;}

        URL[] URLs { get;}
        URL[] LastAddedURLs { get;}
        URL[] LastRemovedURLs { get;}
        void RegisterURLs(params URL[] urls);
        void UnRegisterURLs(params URL[] urls);
        URL[] SearchRessource(string ressource);
    }
}
