using System;
using System.Collections.Generic;
using System.Text;
using Math32.LinearAlgebra;

namespace Motr3D
{
    public class God : Object3D
    {
        protected internal God()
        { 
            fillMode = FillMode.WIREFRAME;
            cullMode = CullMode.NONE;
            lighting = Lighting.NO;
            visibility = Visibility.VISIBLE;
            projection = Projection.PERSPECTIVE;
        }

        public override Matrix44 WorldTranslationMatrix { get { return Matrix44.Identity; } }
        public override Matrix44 WorldRotationMatrix { get { return Matrix44.Identity; } }
        public override Matrix44 WorldScalingMatrix { get { return Matrix44.Identity; } }
        public override Matrix44 WorldTransformMatrix { get { return Matrix44.Identity; } }
       
        public override Vertex PositionInWorld { get { return new Vertex(0.0f, 0.0f, 0.0f); } }


        protected override void DrawSelf(Camera vertex) {  }
    }
}
