using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using Motr3D.Primitives;

namespace Motr3D.Prebuilt
{
    public class Axes: Reference
    {
        private LineList x, y, z;

        public Axes()
        {
            //X Axis            
            Text2D xLabel = new Text2D("X+"); xLabel.Color = Color.Green;
            x = new LineList(new float[2] { 0.0f, 5.0f }, new float[2] { 0.0f, 0.0f }, new float[2] { 0.0f, 0.0f });
            x.Color = Color.Green;
            x.AddChild(xLabel);
            xLabel.Scale(0.1f);
            xLabel.Translate(4.0f, 2.0f, 0.0f);
            
            //Y Axis
            Text2D yLabel = new Text2D("Y+"); yLabel.Color = Color.Blue;
            y = new LineList(new float[2] { 0.0f, 0.0f }, new float[2] { 0.0f, 5.0f }, new float[2] { 0.0f, 0.0f });
            y.Color = Color.Blue;
            y.AddChild(yLabel);
            yLabel.Scale(0.1f);
            yLabel.Translate(0.5f, 5.0f, 0.0f);

            //Z Axis
            Text2D zLabel = new Text2D("Z+"); zLabel.Color = Color.Red;
            z = new LineList(new float[2] { 0.0f, 0.0f }, new float[2] { 0.0f, 0.0f }, new float[2] { 0.0f, 5.0f });
            z.Color = Color.Red;
            z.AddChild(zLabel);
            zLabel.Scale(0.1f);
            zLabel.Translate(1.0f, 1.0f, 5.0f);

            this.AddChildren(x, y, z);
        }

    }
}
