using System;
using System.Collections.Generic;
using System.Text;
using Math32.LinearAlgebra;

namespace Motr3D.Primitives
{
    public class Polygon:Mesh
    {
        protected int height;
        protected int width;
        protected int extusionDepth;
        
        //Make so that it is possible to construct any type of polygon and then extrude it.
        public Polygon(int height, int width, int extrusionDepth)
        {
            this.height = height;
            this.width = width;
            this.extusionDepth = extusionDepth;
            GenerateVertexData();
        }

        protected override void GenerateVertexData()
        {
            // Only does a cube for now

            Vertices = new Vertex[16];
            Indices = new short[13];

        }
    }
}
