using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace Elements
{
    public abstract class ControllableElement : Element, IControllableElement
    {
        protected Port settingsPort;

        protected ControllableElement(string name)
            : base(name)
        {
        }

        protected override void InitElement()
        {
            base.InitElement();
            settingsPort = new Port(this, "Settings"); ports.Add(settingsPort);
        }

        public virtual IPort SettingsPort { get { return settingsPort; } }
      
    }
}
