using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Driver;

namespace SoundCardInputDriver.GUI
{
    public partial class DriverTest : Form
    {
        SoundInputEnumerator soundInputEnumerator = new SoundInputEnumerator();
        List<Form> diag = new List<Form>();
        public DriverTest()
        {
            int index = 1;
            
            InitializeComponent();
            deviceTreeView.BeginUpdate();
            deviceTreeView.Nodes.Clear();
            foreach (SoundInputChannel d in soundInputEnumerator.Drivers)
            {
                SoundInputChannelGUI s = new SoundInputChannelGUI(d);
                DriverTestControlGUI dtg = new DriverTestControlGUI(d);
                deviceTreeView.Nodes.Add(d.ElementName);
                deviceLayoutPanel.Controls.Add(s, index, 0);
                deviceLayoutPanel.Controls.Add(dtg, index++, 1);
            }
            deviceTreeView.EndUpdate();   
        }        
    }
}